curl --request GET \
--url https://api.perplexity.ai/v1/models{
"object": "list",
"data": [
{
"id": "anthropic/claude-sonnet-4-6",
"object": "model",
"created": 0,
"owned_by": "anthropic"
},
{
"id": "openai/gpt-5.4",
"object": "model",
"created": 0,
"owned_by": "openai"
},
{
"id": "perplexity/sonar",
"object": "model",
"created": 0,
"owned_by": "perplexity"
}
]
}List the models available for the Agent API. Returns model identifiers that can be used with the POST /v1/agent endpoint. The response follows the OpenAI List Models format for compatibility with third-party tools.
curl --request GET \
--url https://api.perplexity.ai/v1/models{
"object": "list",
"data": [
{
"id": "anthropic/claude-sonnet-4-6",
"object": "model",
"created": 0,
"owned_by": "anthropic"
},
{
"id": "openai/gpt-5.4",
"object": "model",
"created": 0,
"owned_by": "openai"
},
{
"id": "perplexity/sonar",
"object": "model",
"created": 0,
"owned_by": "perplexity"
}
]
}Successful response with the list of available models.
Was this page helpful?
Suggestions